=== PKGBUILD ===
# Maintainer: Johannes Löthberg <johannes@kyriasis.com>
# Contributor: Simon Gomizelj <simongmzlj@gmail.com>

pkgname=repose
pkgver=7.1
pkgrel=6

pkgdesc="Arch Linux repo building tool"
url="https://github.com/vodik/repose"
arch=('x86_64')
license=('GPL')

depends=('pacman' 'libarchive' 'gnupg')
makedepends=('ragel')
checkdepends=('python-pytest' 'python-cffi' 'python-pytest-xdist')

source=("repose-$pkgver.tar.gz::https://github.com/vodik/repose/archive/$pkgver.tar.gz")

sha1sums=('0541bc62f19ce51bb048059f79d926bf59ddce5f')

build() {
  make -C repose-$pkgver
}

check() {
  make -C repose-$pkgver tests
}

package() {
  make -C repose-$pkgver DESTDIR="$pkgdir" install
}

# vim: ft=PKGBUILD et
